<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $tipo = $_POST['tipo'];
    $select=$pdo_sgt->prepare("SELECT * FROM tb_tipo_hd WHERE tipo=:tipo");
    $select->bindValue(":tipo",$tipo);
    $select->execute();
    $array = $select->fetch(PDO::FETCH_ASSOC);
    if($array['tipo'] == $tipo){
        echo"<script language='javascript' type='text/javascript'>
            alert('Este Tipo de HD já existe');
            window.history.go(-1)>Volta;
        </script>";
        die();
    }
    else{
        $query_ = "INSERT INTO tb_tipo_hd (tipo) VALUES (:tipo)";
        $query=$pdo_sgt->prepare("$query_");
        $query->bindValue(":tipo",$tipo);
        $query->execute();
        $mensagem = "Dados inseridos na tabela: tb_tipo_hd - Para o campo: tipo - Com o seguinte valor: $tipo.";
        salvaLog($mensagem);
        echo"<script language='javascript' type='text/javascript'>
            window.location.href='list_tipo_hd.php';
        </script>";
    }	
?>